Perform various operations on preference records.
Operations
searchPreferenceAccessPagedSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/account/searchPreferenceAccessPagedSelectFieldsPOST /nexum/627/persistent/account/searchPreferenceAccessPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPreferenceAccessFields": false,
"PreferenceAccessFields": {
"Locator": true,
"AccessType": true,
"AccountNumber": true,
"Id": true,
"IdType": true,
"EnableInquiry": true,
"EnableDeposit": true,
"EnableWithdrawal": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updatePreferenceByID
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/account/updatePreferenceByIDPOST /nexum/627/persistent/account/updatePreferenceByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceFields": {
"Type": 0,
"HbUsername": "string",
"HbEnable": 0,
"AudioEnable": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updatePreferenceAccessByID
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalPreferenceLocatorintegeroptionalPreferenceAccessLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/account/updatePreferenceAccessByIDPOST /nexum/627/persistent/account/updatePreferenceAccessByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceAccessLocator": 0,
"PreferenceAccessFields": {
"AccessType": 0,
"AccountNumber": "0000000000",
"IdType": 0,
"Id": "0",
"EnableInquiry": 0,
"EnableDeposit": 0,
"EnableWithdrawal": 0,
"EnableFm": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createPreference
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
PreferenceLocatorintegeroptionalLoading fields…
POST
/nexum/{sym}/persistent/account/createPreferencePOST /nexum/627/persistent/account/createPreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceFields": {
"Type": 0,
"HbUsername": "string",
"HbEnable": 0,
"AudioEnable": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createPreferenceAccess
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
PreferenceAccessLocatorintegeroptionalLoading fields…
POST
/nexum/{sym}/persistent/account/createPreferenceAccessPOST /nexum/627/persistent/account/createPreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"PreferenceAccessFields": {
"AccessType": 0,
"AccountNumber": "0000000000",
"IdType": 0,
"Id": "0",
"EnableInquiry": 0,
"EnableDeposit": 0,
"EnableWithdrawal": 0,
"EnableFm": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deletePreference
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalPreferenceLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/persistent/account/deletePreferencePOST /nexum/627/persistent/account/deletePreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PreferenceLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}